using Telerik.TestingFramework.Controls.KendoUI;
using Telerik.WebAii.Controls.Html;
using Telerik.WebAii.Controls.Xaml;
using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;

using ArtOfTest.Common.UnitTesting;
using ArtOfTest.WebAii.Core;
using ArtOfTest.WebAii.Controls.HtmlControls;
using ArtOfTest.WebAii.Controls.HtmlControls.HtmlAsserts;
using ArtOfTest.WebAii.Design;
using ArtOfTest.WebAii.Design.Execution;
using ArtOfTest.WebAii.ObjectModel;
using ArtOfTest.WebAii.Silverlight;
using ArtOfTest.WebAii.Silverlight.UI;

namespace EpicMix
{

    public class DictionaryLookup : BaseWebAiiTest
    {
        #region [ Dynamic Pages Reference ]

        private Pages _pages;

        /// <summary>
        /// Gets the Pages object that has references
        /// to all the elements, frames or regions
        /// in this project.
        /// </summary>
        public Pages Pages
        {
            get
            {
                if (_pages == null)
                {
                    _pages = new Pages(Manager.Current);
                }
                return _pages;
            }
        }

        #endregion
        
        public static string getValueForParameter(Dictionary<string, string> dictionary, string parameterName)
        {
            // Get the pageName parameter's value (if it exists)
            string value = null;
            
            // Try to get the value of the given query string parameter name
            dictionary.TryGetValue(parameterName, out value);
            
            // DEBUGGING: If there is a value for the given query string parameter, then write it the paramater and its value to the log
            //if (value != null) { Manager.Current.Log.WriteLine("[Key] " + parameterName + " | [Value] " + value); }
            
            return value;
        }
    }
}
